OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXSBase
Transfer

# Transfer_DispatchControl Class Reference

This is an auxiliary class for TransferDispatch, which allows
to record simple copies, as CopyControl from Interface, but
based on a TransientProcess. Hence, it allows in addition
more actions (such as recording results of adaptations)
.

`#include <Transfer_DispatchControl.hxx>`

Inheritance diagram for Transfer_DispatchControl:

[legend]

## Public Member Functions
Standard_EXPORT | Transfer_DispatchControl (const Handle(Interface_InterfaceModel)&model, const Handle(Transfer_TransientProcess)&TP)
| Creates the DispatchControl, ready for use .
Standard_EXPORT const Handle_Transfer_TransientProcess & | TransientProcess () const
| Returns the content of the DispatchControl : it can be used for a direct call, if the basic methods do not suffice .
Standard_EXPORT const Handle_Interface_InterfaceModel & | StartingModel () const
| Returns the Model from which the transfer is to be done .
Standard_EXPORT void | Clear ()
| Clears the List of Copied Results .
Standard_EXPORT void | Bind (const Handle(Standard_Transient)&ent, const Handle(Standard_Transient)&res)
| Binds a (Transient) Result to a (Transient) Starting Entity .
Standard_EXPORT Standard_Boolean | Search (const Handle(Standard_Transient)&ent, Handle(Standard_Transient)&res) const
| Searches for the Result bound to a Starting Entity If Found, returns True and fills <res> Else, returns False and nullifies <res> .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_Transfer_TransientProcess | theTP
Handle_Interface_InterfaceModel | themodel

## Constructor & Destructor Documentation

Standard_EXPORT Transfer_DispatchControl::Transfer_DispatchControl | ( | const Handle(Interface_InterfaceModel)& | model,
|  | const Handle(Transfer_TransientProcess)& | TP
| ) |

## Member Function Documentation

Standard_EXPORT void Transfer_DispatchControl::Bind | ( | const Handle(Standard_Transient)& | ent,
|  | const Handle(Standard_Transient)& | res
| ) | `[virtual]`

| Implements Interface_CopyControl.

Standard_EXPORT void Transfer_DispatchControl::Clear | ( |  | ) | `[virtual]`

| Implements Interface_CopyControl.

Standard_EXPORT const Transfer_DispatchControl::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Interface_CopyControl.

Standard_EXPORT Standard_Boolean Transfer_DispatchControl::Search | ( | const Handle(Standard_Transient)& | ent,
|  | Handle(Standard_Transient)& | res
| ) | const`[virtual]`

| Implements Interface_CopyControl.

Standard_EXPORT const Handle_Interface_InterfaceModel& Transfer_DispatchControl::StartingModel | ( |  | ) | const

Standard_EXPORT const Handle_Transfer_TransientProcess& Transfer_DispatchControl::TransientProcess | ( |  | ) | const

## Field Documentation

Handle_Interface_InterfaceModel Transfer_DispatchControl::themodel`[private]`

Handle_Transfer_TransientProcess Transfer_DispatchControl::theTP`[private]`

The documentation for this class was generated from the following file:

- Transfer_DispatchControl.hxx